{% extends 'members/base.html' %}

{% if request.user.is_authenticated %}
    {% block title %}
        {{ request.user.username }}
    {% endblock %}
{% endif %}

{% block content %}

    <div class="container">
        <div class="row">
            <div class="col-lg-5 mx-auto">
                {% include "members/user_info.html" with member=member owner=owner %}
                <div id="friend-request-results">
                    <div id="accepted-requests" class="hidden alert alert-success mt-2" role="alert">
                    </div>
                    <div id="rejected-requests" class="hidden alert alert-danger mt-2" role="alert">
                    </div>
                </div>
            </div>
            <div class="col-lg-7 mx-auto">
                {% include "members/status.html" with status=status %}

            </div>
        </div>
    </div>
    <script>
        {% if request.user.is_authenticated %}
            $(document).ready(() => {
                $.ajax({
                    method: "POST",
                    url: "{% url "members:friend_requests" request.user.username %}",
                    headers: {"X-CSRFToken": csrftoken},
                    data: {
                        action: 'list-closed',
                        sender: '{{ request.user.username }}'
                    },
                    success: (data, textStatus) => {
                        console.log('request status', data);
                        if (data.error) {

                        } else {
                            if (data.data.accepted && data.data.accepted.length > 0) {
                                const names = [];
                                data.data.accepted.forEach(request => {
                                    names.push(request.receiver)
                                });

                                $('#accepted-requests').text(`Your friendship request to ${names.join(',')} has been accepted.`)
                                $('#accepted-requests').removeClass('hidden');
                            } else {
                                $('#accepted-requests').remove()
                            }

                            if (data.data.rejected && data.data.rejected.length > 0) {
                                const names = [];
                                data.data.rejected.forEach(request => {
                                    names.push(request.receiver)
                                });
                                $('#rejected-requests').text(`Your friendship request to ${names.join(',')} has been rejected.`)
                                $('#rejected-requests').removeClass('hidden');
                            } else {
                                $('#rejected-requests').remove()
                            }
                        }
                    }
                });
            })
        {% endif %}
    </script>
{% endblock %}



